| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::CVISAResourceManager Class Reference

VISA Resource Manager class. More...

`#include <VISAInstrument.h>`

Inheritance diagram for MTL::Instrument::CVISAResourceManager:
[legend]
Collaboration diagram for MTL::Instrument::CVISAResourceManager:
[legend]

## Public Member Functions
| CVISAResourceManager ()
| Constructor.
virtual | ~CVISAResourceManager ()
| Destructor.
virtual bool | Initialize ()
| Initialize the Resource Manager.
ViStatus | Status ()
| Return Resource Manager status.
virtual std::string | StatusDescription (I32 Status)
| Return description of status word.
const ViSession & | Session ()
| Return Resource Manager session identifier.
virtual bool | Timeout ()
| Last operation timed out.
virtual bool | FindResources (CResourceList &rList, std::string Filter="?*")
| Find VISA resources.
bool | FindResources (CParsedResourceList &rList, std::string Filter="?*")
| Find VISA resources and parse the resource strings.
bool | ResourceInfo (tResourceName &rRsrc, eInterfaceType &rIntfType, tInterfaceNumber &rIntfNumber)
| Get the interface type and number for the given VISA resource name.
bool | ResourceInfo (tResourceName &rRsrc, VISAResourceInfo &rReturnedInfo)
| Parse the given VISA resource name.
Public Member Functions inherited from MTL::Instrument::CIEEE488ResourceManager
| CIEEE488ResourceManager ()
virtual | ~CIEEE488ResourceManager ()
I32 | Status (void)

## Additional Inherited Members
Protected Attributes inherited from MTL::Instrument::CIEEE488ResourceManager
CMutex | m_Lock
| Lock onto the resource manager.
I32 | m_Status
| Status of last operation.

## Detailed Description

VISA Resource Manager class.

Definition at line 39 of file VISAInstrument.h.

## Constructor & Destructor Documentation

## ◆ CVISAResourceManager()

CVISAResourceManager::CVISAResourceManager | ( |  | ) |

Constructor.

Definition at line 70 of file VISAInstrument.cpp.

## ◆ ~CVISAResourceManager()

CVISAResourceManager::~CVISAResourceManager | ( |  | ) |
| virtual

Destructor.

Definition at line 75 of file VISAInstrument.cpp.

## Member Function Documentation

## ◆ FindResources() [1/2]

bool CVISAResourceManager::FindResources | ( | CParsedResourceList & | rList,
|  | std::string | Filter = "?*" )

Find VISA resources and parse the resource strings.

Parameters

  [out] | rList | Parsed list of VISA resources.
  [in] | Filter | Grep expression to select resource names.

Returns
  True if successful.

Definition at line 197 of file VISAInstrument.cpp.

## ◆ FindResources() [2/2]

bool CVISAResourceManager::FindResources | ( | CResourceList & | rList,
|  | std::string | Filter = "?*" )
| virtual

Find VISA resources.

Parameters

  [out] | rList | List of matching VISA resources.
  [in] | Filter | Grep expression to select resource names.

Returns
  True if successful.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 144 of file VISAInstrument.cpp.

## ◆ Initialize()

bool CVISAResourceManager::Initialize | ( | void |  | ) |
| virtual

Initialize the Resource Manager.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 84 of file VISAInstrument.cpp.

## ◆ ResourceInfo() [1/2]

bool CVISAResourceManager::ResourceInfo | ( | tResourceName & | rRsrc,
|  | eInterfaceType & | rIntfType,
|  | tInterfaceNumber & | rIntfNumber )

Get the interface type and number for the given VISA resource name.

Parameters

  [in] | rRsrc | VISA resource name.
  [out] | rIntfType | Resource type.
  [out] | rIntfNumber | Resource number.

Returns
  True if successful.

Definition at line 259 of file VISAInstrument.cpp.

## ◆ ResourceInfo() [2/2]

bool CVISAResourceManager::ResourceInfo | ( | tResourceName & | rRsrc,
|  | VISAResourceInfo & | rReturnedInfo )

Parse the given VISA resource name.

Parameters

  [in] | rRsrc | VISA resource name.
  [out] | rReturnedInfo | Parsed resource information.

Returns
  True if successful.

Definition at line 299 of file VISAInstrument.cpp.

## ◆ Session()

const ViSession & CVISAResourceManager::Session | ( |  | ) |

Return Resource Manager session identifier.

Definition at line 129 of file VISAInstrument.cpp.

## ◆ Status()

ViStatus CVISAResourceManager::Status | ( | void |  | ) |

Return Resource Manager status.

Definition at line 110 of file VISAInstrument.cpp.

## ◆ StatusDescription()

std::string CVISAResourceManager::StatusDescription | ( | I32 | Status | ) |
| virtual

Return description of status word.

Parameters

  [in] | Status | Status word.

Returns
  Status description.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 115 of file VISAInstrument.cpp.

## ◆ Timeout()

bool CVISAResourceManager::Timeout | ( | void |  | ) |
| virtual

Last operation timed out.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 135 of file VISAInstrument.cpp.

The documentation for this class was generated from the following files:

- Common/VISAInstrument/include/VISAInstrument.h
- Common/VISAInstrument/src/VISAInstrument.cpp